apply plugin: 'com.android.application'

android {
    compileSdkVersion 30
    buildToolsVersion "30.0.3"
    defaultConfig {
        applicationId "com.kozen.printerhelper"
        minSdkVersion 16
        targetSdkVersion 30
        versionCode 1
        versionName "2142"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }
    sourceSets {
        main {
            res.srcDirs += "src/main/res-kozenui"
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.appcompat:appcompat:1.1.0'
    //Used for Demo Ui interface display, has nothing to do with function
    //zxing to generate barcode
    implementation files('libs/core-3.3.0.jar')
    implementation 'androidx.recyclerview:recyclerview:1.1.0'
}

repositories {
    flatDir {
        dirs 'libs'
    }
}
